<?php
namespace App\Model\Interfaces;

interface ITemplate
{
    /**
     * @return int
     */
    public function getId() : int;

    /**
     * @return ITemplate
     */
    public function getParentTemplate() : ITemplate;

    /**
     * @return bool
     */
    public function hasParentTemplate() : bool;
}